From 86b59ac2ca3366e417344e5c1fa5b0489007cf94 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Fri, 5 Jan 2024 19:36:54 +0800
Subject: [PATCH] ppc.h: use correct cacheline size for macOS
--- include/urcu/arch/ppc.h.orig	2024-11-20 09:54:04
+++ include/urcu/arch/ppc.h	2024-12-20 16:25:34
@@ -43,8 +43,13 @@
  * specific environments is a concern for ABI compatibility between
  * applications and liburcu.
  */
-#define CAA_CACHE_LINE_SIZE	256
 
+#ifdef __APPLE__
+#define CAA_CACHE_LINE_SIZE	128
+#else
+ #define CAA_CACHE_LINE_SIZE 256
+#endif
+
 #ifdef __NO_LWSYNC__
 #define LWSYNC_OPCODE	"sync\n"
 #else
